SET ANSI_NULLS, ANSI_PADDING, ANSI_WARNINGS, ARITHABORT, CONCAT_NULL_YIELDS_NULL, QUOTED_IDENTIFIER ON;
SET NUMERIC_ROUNDABORT OFF;
GO

IF NOT EXISTS (
        SELECT NULL
        FROM sys.indexes
        WHERE name = 'IX_Versioned_Locks_Filtered'
            AND object_id = OBJECT_ID('VersionedFields')
        )
BEGIN
    PRINT N'Creating [VersionedFields].IX_Versioned_Locks_Filtered index...'
    CREATE NONCLUSTERED INDEX IX_Versioned_Locks_Filtered ON [dbo].[VersionedFields] ([ItemID]) INCLUDE (
        [Value]
        ,[Language]
        ,[Version]
        )
    WHERE [FieldId] = '{001DD393-96C5-490B-924A-B0F25CD9EFD8}'
END

PRINT N'Update complete.';